Get All Indicator Tags¶
GET /1.3/indicators/tags
Description¶
Get all indicator tags for a set of enclaves.
Parameters¶
| Parameter | Required | Default | Description |
|---|---|---|---|
| enclaveIds | The enclaves a user has READ access to. |
List of enclave IDs to return tags for. |
Example Usage¶
Request¶
curl -k -X GET -H "Authorization: Bearer {access_token}" \
"https://api.trustar.co/api/1.3/indicators/tags?enclaveIds=1fd0dbf4-316c-4ae5-9e93-2d8a32f30f86"
Response¶
[
{
"guid": "c27c6e20-9004-43b5-97cb-48d9a4e56dbb",
"name": "ransomware",
"enclaveId": "1fd0dbf4-316c-4ae5-9e93-2d8a32f30f86"
},
{
"guid": "a94f0528-33b5-45c9-b592-ee4dc11b9ad3",
"name": "whitelist",
"enclaveId": "1fd0dbf4-316c-4ae5-9e93-2d8a32f30f86"
},
{
"guid": "dc5a93ba-eb41-4241-9233-5a3c99857027",
"name": "blacklist",
"enclaveId": "1fd0dbf4-316c-4ae5-9e93-2d8a32f30f86"
}
]